CREATEATOM(3)

NAME
createAtom - creates an atomic expression.

SYNOPSYS
#include "logmmm.h"
chain_list *createAtom(name)
char *name;

PARAMETER

name
    Name of the atom.

DESCRIPTION
createAtom() creates an atomic expression. This function uses the namealloc() function to speed up the treatements and minimize the memory space.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
chain_list *atom;
atom = createAtom("var1");
displayExpr(atom);
/* it will display
var1
*/
freeExpr(atom);

SEE ALSO
log(1), abl(1), createExpr(3), notExpr(3), createBinExpr(3), addQExpr(3), addHExpr(3), freeExpr(3).